> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/ru/saity-i-zony/additional-subids.md).

# Использование дополнительных Sub ID

Как объясняется в [документации по использованию Sub ID](/publishers/ru/saity-i-zony/subids.md), Sub ID используются издателями для сегментации трафика. Например, они могут делать это по источнику трафика. Эта информация затем будет отображаться в **Статистика** вкладке, в **Sub ID** подвкладке.

Кроме того, есть ещё два параметра, которые по сути абсолютно такие же, как `sub` в целом: `sub2` и `sub3`.

## Примеры

### Асинхронные рекламные зоны: баннеры, закреплённые баннеры, мгновенные сообщения, Outstream-реклама и мультиформаты

Добавлено `data-sub` = XXXXXX, `data-sub2` = XXXXXX и `data-sub3` = XXXXXX

```html
<script async type="application/javascript" src="https://ads.examplesite.com/ad-provider.js"></script>
<ins class="adsbynetwork" data-zoneid="1234567" data-sub="XXXXXX" data-sub2="XXXXXX" data-sub3="XXXXXX"></ins>
<script>(AdProvider = window.AdProvider || []).push({"serve": {}});</script>
```

### iFrames

Добавлено `&sub`= XXXXXX, `&sub2`= XXXXXX и `&sub`3= XXXXXX

```html
<iframe src="//a.examplesite.com/iframe.php?idzone=1234567&size=300x250&sub=XXXXXX&sub2=XXXXXX&sub3=XXXXXX" width="300" height="250" scrolling="no" marginwidth="0" marginheight="0" frameborder="0"></iframe>
```

### Нативная

Добавлено как `data-ad_sub= "XXXXXX"; data-ad_sub2 = "XXXXXX"; data-ad_sub3 = "XXXXXX";`

```
data-ad_sub= "XXXXXX";
data-ad_sub2 = "XXXXXX";
data-ad_sub3 = "XXXXXX";
```

### RTB

Добавлено в `ext` объект как `&sub=XXXXXX, &sub2=XXXXXX, &sub3=XXXXXX`

```json
{
   "id": "d4b5c697-41f3-4c1c-a3d5-5fd01b5ef2aa",
   "imp": [
       {
           "id": "974090632",
           "banner": {
               "w": 300,
               "h": 250
           }
       }
   ],
   "site": {
       "id": "12345",
       "domain": "sitedomain.com",
       "cat": ["IAB25-3"],
       "page": "https://sitedomain.com/page"
   },
   "device": {
       "ua": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.63 Safari/537.36",
       "ip": "131.34.123.159",
       "geo": {
           "country": "IRL"
       },
       "language": "en",
       "os": "Linux & UNIX",
       "js": 0,
       "ext": {
           "remote_addr": "131.34.123.159",
           "x_forwarded_for": "",
           "accept_language": "en-GB;q=0.8,pt-PT;q=0.6,en;q=0.4,en-US;q=0.2,de;q=0.2,es;q=0.2,fr;q=0.2"
       }
   },
   "user": {
       "id": "57592f333f8983.043587162282415065"
   },
   "ext": {
       "sub": 1221,
       "sub2": 2222,
       "sub3": 3333
   }
}
```

Эти параметры можно использовать для ещё более детальной сегментации трафика. Однако, в отличие от sub, это не будет отображаться в **Sub ID** подвкладке sub на **Статистика** вкладке. Однако мы регистрируем их внутри системы. Единственный способ получить данные по этим метрикам — через [API Global Routes для издателей](https://api.exoclick.com/v2/docs/#!/47statistics/post_statistics_publisher_global).

Вот два примера того, как должен выглядеть запрос, чтобы получить данные соответственно из sub2 и sub3:

### Группировка по sub2 и sub3

```json
{
  "count": 0,
  "detailed": 0,
  "timezone": "Europe/Dublin",
  "totals": 1,
  "filter": {
    "date_from": "2019-11-07",
    "date_to": "2019-11-07",
    "zone_id": [
      1234567
    ]
  },
  "group_by": [
    "sub2",
    "sub3"
  ],
  "order_by": [
    {
      "field": "impressions",
      "order": "desc"
    }
  ],
  "projection": [
    "base"
  ],
  "limit": 25,
  "offset": 0
}
```

### Фильтрация и группировка по sub2 и sub 3

```json
{
  "count": 0,
  "detailed": 0,
  "timezone": "Europe/Dublin",
  "totals": 1,
  "filter": {
    "date_from": "2019-11-07",
    "date_to": "2019-11-07",
    "sub": [
      10001
    ],
    "sub2": [
      10002
    ],
    "sub3": [
      10003
    ],
    "zone_id": [
      1234567
    ]
  },
  "group_by": [
    "sub2",
    "sub3"
  ],
  "order_by": [
    {
      "field": "impressions",
      "order": "desc"
    }
  ],
  "projection": [
    "base"
  ],
  "limit": 25,
  "offset": 0
}
```

**Примечание**: Группировка возможна только по двум измерениям. Если вы хотите группировать по `sub`, вам нужно будет удалить либо `sub2` или `sub3`. В противном случае ответ вернёт ошибку.

```json
{
  "message": "Данные `group_by` запроса недопустимы."
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/ru/saity-i-zony/additional-subids.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
